Bug 212971 - x11-toolkits/qtermwidget: Update to 0.7.0
Summary: x11-toolkits/qtermwidget: Update to 0.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2016-09-24 19:08 UTC by Olivier Duchateau
Modified: 2016-12-06 16:57 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jwb)


Attachments
Patch to update x11-toolkits/qtermwidget (2.11 KB, patch)
2016-09-24 19:08 UTC, Olivier Duchateau
no flags Details | Diff
Patch to update x11-toolkits/qtermwidget (1.91 KB, patch)
2016-11-18 22:20 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2016-09-24 19:08:30 UTC
Created attachment 175136 [details]
Patch to update x11-toolkits/qtermwidget

- Update to 0.7.0
- Replace GitHub host by lxqt.org
Comment 1 Jason W. Bacon freebsd_committer 2016-09-24 20:11:11 UTC
Patch looks good, but what's the rationale for moving away from Github?
Comment 2 Olivier Duchateau freebsd_committer 2016-11-18 22:20:37 UTC
Created attachment 177157 [details]
Patch to update x11-toolkits/qtermwidget

I'm intend to commit some LXQt core (especially liblxqt and qtxdg required by translations files in Qterminal) this week-end.

New patch still uses GitHub as MASTER_SITES.
Comment 3 Jason W. Bacon freebsd_committer 2016-12-05 22:33:53 UTC
Comment on attachment 177157 [details]
Patch to update x11-toolkits/qtermwidget


Let's go ahead and commit this.  I'll do a final review on 212972 (x11/qterminal) shortly.
Comment 4 Jason W. Bacon freebsd_committer 2016-12-05 22:44:29 UTC
Note also:

This PR and 212972 should be committed together to avoid breakage.  qterminal depends on a specific version of qtermwidget.
Comment 5 commit-hook freebsd_committer 2016-12-06 16:45:26 UTC
A commit references this bug:

Author: olivierd
Date: Tue Dec  6 16:44:35 UTC 2016
New revision: 427976
URL: https://svnweb.freebsd.org/changeset/ports/427976

Log:
  Update to 0.7.0

  PR:		212971
  Submitted by:	myself (olivierd@)
  Approved by:	Jason Bacon (maintainer)

Changes:
  head/x11-toolkits/qtermwidget/Makefile
  head/x11-toolkits/qtermwidget/distinfo
  head/x11-toolkits/qtermwidget/pkg-plist
Comment 6 Olivier Duchateau freebsd_committer 2016-12-06 16:57:40 UTC
Committed